Bug 194994 - Update double-conversion to the latest version
Summary: Update double-conversion to the latest version
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on:
Blocks: 178319
  Show dependency treegraph
 
Reported: 2019-02-24 12:55 PST by Sam Weinig
Modified: 2019-03-10 12:45 PDT (History)
5 users (show)

See Also:


Attachments
Patch (453.86 KB, patch)
2019-02-24 12:58 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (486.79 KB, application/zip)
2019-02-24 13:51 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (451.41 KB, application/zip)
2019-02-24 13:57 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (549.30 KB, application/zip)
2019-02-24 14:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews201 for win-future (10.62 MB, application/zip)
2019-02-24 14:55 PST, Build Bot
no flags Details
Patch (429.49 KB, patch)
2019-02-24 15:02 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (429.84 KB, patch)
2019-02-24 15:34 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (431.25 KB, patch)
2019-02-24 17:20 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Diff showing just the changes made on top of the upstream version (74.05 KB, patch)
2019-02-24 17:21 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (431.32 KB, patch)
2019-02-24 20:01 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Diff showing just the changes made on top of the upstream version (73.79 KB, patch)
2019-02-24 20:02 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (431.32 KB, patch)
2019-02-24 20:14 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.41 MB, application/zip)
2019-02-24 22:32 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2019-02-24 12:55:18 PST
The latest double-conversion library has some features that would be useful, such as support for single precision floats. Let's update to it.
Comment 1 Sam Weinig 2019-02-24 12:58:26 PST Comment hidden (obsolete)
Comment 2 Sam Weinig 2019-02-24 13:01:04 PST
This initial patch updates the library and applies most of the changes we have made to it over the years. One change it is still missing is the change to streamline strtod from https://bugs.webkit.org/show_bug.cgi?id=82857. It will have to be a bit different, due to added single precision float support, but not that different. I will finish that off before posting a final patch for review.
Comment 3 Build Bot 2019-02-24 13:51:29 PST Comment hidden (obsolete)
Comment 4 Build Bot 2019-02-24 13:51:30 PST Comment hidden (obsolete)
Comment 5 Build Bot 2019-02-24 13:57:50 PST Comment hidden (obsolete)
Comment 6 Build Bot 2019-02-24 13:57:51 PST Comment hidden (obsolete)
Comment 7 Build Bot 2019-02-24 14:07:37 PST Comment hidden (obsolete)
Comment 8 Build Bot 2019-02-24 14:07:39 PST Comment hidden (obsolete)
Comment 9 Build Bot 2019-02-24 14:55:13 PST Comment hidden (obsolete)
Comment 10 Build Bot 2019-02-24 14:55:24 PST Comment hidden (obsolete)
Comment 11 Sam Weinig 2019-02-24 15:02:27 PST Comment hidden (obsolete)
Comment 12 Sam Weinig 2019-02-24 15:34:43 PST Comment hidden (obsolete)
Comment 13 Sam Weinig 2019-02-24 17:20:27 PST Comment hidden (obsolete)
Comment 14 Sam Weinig 2019-02-24 17:21:34 PST Comment hidden (obsolete)
Comment 15 Sam Weinig 2019-02-24 20:01:37 PST Comment hidden (obsolete)
Comment 16 Sam Weinig 2019-02-24 20:02:22 PST
Created attachment 362878 [details]
Diff showing just the changes made on top of the upstream version
Comment 17 Sam Weinig 2019-02-24 20:14:26 PST
Created attachment 362879 [details]
Patch
Comment 18 Build Bot 2019-02-24 22:32:15 PST
Comment on attachment 362879 [details]
Patch

Attachment 362879 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11273571

New failing tests:
fast/viewport/ios/device-width-viewport-after-changing-view-scale.html
Comment 19 Build Bot 2019-02-24 22:32:17 PST
Created attachment 362885 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 20 Darin Adler 2019-02-25 09:41:57 PST
(In reply to Build Bot from comment #18)
> fast/viewport/ios/device-width-viewport-after-changing-view-scale.html

This flaky test is causing spurious failures for me too when I am working on unrelated patches.
Comment 21 WebKit Commit Bot 2019-02-25 10:59:08 PST
Comment on attachment 362879 [details]
Patch

Clearing flags on attachment: 362879

Committed r242048: <https://trac.webkit.org/changeset/242048>
Comment 22 WebKit Commit Bot 2019-02-25 10:59:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 23 Radar WebKit Bug Importer 2019-02-25 11:01:23 PST
<rdar://problem/48369334>